Superset
Keywords: uk.ac.ic.doc.automed.matching.relationships.Superset class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching.relationships
Class Superset

    java.lang.Object
      uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship
          uk.ac.ic.doc.automed.matching.relationships.Subsumption
              uk.ac.ic.doc.automed.matching.relationships.Superset

    public class Superset

extends Subsumption

The Superset class represents the superset semantic relationship between `SchemaElement` objects.

Field Summary
`static int` | `INDEX`
`static Subsumption` | `INSTANCE`
`static java.lang.String` | `NAME` The singleton instance of the `Superset` class
`static java.lang.String` | `REL_BETWEEN_ELEMENTS`

Constructor Summary
`Superset()`

Method Summary
`java.lang.String` | `getName()` Returns the name of the `SemanticRelationship` object
`static SemanticRelationship` | `getRelationship()` Returns an instance of the `Superset` class.
`java.lang.String` | `toString()`

Methods inherited from class uk.ac.ic.doc.automed.matching.relationships.Subsumption
`equals, getStrength`

Methods inherited from class uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship
`getSemanticRelationship, isStronger`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  The singleton instance of the `Superset` class

  See Also:
    Constant Field Values

### REL_BETWEEN_ELEMENTS

    public static final java.lang.String REL_BETWEEN_ELEMENTS

See Also:
  Constant Field Values

### INSTANCE

    public static final Subsumption INSTANCE

### INDEX

    public static final int INDEX

See Also:
  Constant Field Values

Constructor Detail

### Superset

    public Superset()

Method Detail

### getRelationship

    public static SemanticRelationship getRelationship()

  Returns an instance of the `Superset` class.

  Returns:
    an instance of the `Superset` class.

### getName

    public java.lang.String getName()

  Description copied from class: `SemanticRelationship`
  Returns the name of the `SemanticRelationship` object

  Specified by:
    `getName` in class `SemanticRelationship`
  Returns:
    the name of the `SemanticRelationship` object

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `SemanticRelationship`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD